function varargout = made_loss_check_wrapper(varargin)
% Version of made_loss with unpacked inputs: bb, W{1},..., W{L}, cc, V{1}, ... V{L}
% that returns loss, then unpacked derivatives in same order.
%
% This wrapper is so I can check all the derivatives with var_checkgrad.m which
% doesn't yet unpack cell arrays for you.

L = (nargin - 2) / 2;
bb = varargin(1:L);
W = varargin((L+1):(2*L));
cc = varargin{2*L+1};
V = varargin{2*L+2};

[ell, delta_b, delta_W, delta_c, delta_V] = made_loss(bb, W, cc, V);
varargout = {ell, delta_b{:}, delta_W{:}, delta_c, delta_V};
